﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Zcu.CurvatureBenchmark.Framework.DataSources.Explicit
{
    /// <summary>
    /// Makes a triangularization of 2.5D data from IExplicitSampler
    /// </summary>
    public interface IExplicitTriangularizator : ITriangularizator
    {
        /// <summary>
        /// Computes triangulation from sampled points. 
        /// </summary>
        /// <param name="sampler">Sampler</param>
        void Triangulate(IExplicitSampler sampler);
    }
}
