﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Zcu.CurvatureBenchmark.Framework.DataSources
{
    /// <summary>
    /// Triangularizator should create a TriangleMesh with normals, exact K1 and K2.
    /// </summary>
    public interface ITriangularizator : IModule
    {
        /// <summary>
        /// Gets triangle mesh
        /// </summary>
        TriangleMesh TriangleMesh { get; }
    }
}
