﻿namespace Zcu.CurvatureBenchmark.Framework.Distorters
{
    /// <summary>
    /// Abstract implementation of <see cref="IDistorter"/> has the basic functionality of abstract module <see cref="AbstractModule"/>. 
    /// Derived classes must implement the Distort method.
    /// </summary>
    public abstract class AbstractDistorter : AbstractModule, IDistorter
    {
        /// <inheritdoc/>
        public abstract TriangleMesh Distort(TriangleMesh input);
    }
}
