﻿namespace Zcu.CurvatureBenchmark.Framework.Distorters
{
    /// <summary>
    /// The <c>Zcu.CurvatureBenchmark.Framework.Distorters</c> namespace contains interface definitions and abstract 
    /// implementations of data distorters.
    /// </summary>
    /// <remarks>
    /// <para>
    /// Data distorters can distort triangle mesh in various ways. Usually the distorter manipulates with vertex positions
    /// and normals.
    /// </para>
    /// <para>
    /// All distorters must preserve the undistorted data! See <see cref="IDistorter.Distort(TriangleMesh)"/> for more information.
    /// </para>
    /// </remarks>
    [System.Runtime.CompilerServices.CompilerGenerated()]
    class NamespaceDoc
    {
    }

}

