﻿namespace Zcu.CurvatureBenchmark.Framework.Distorters
{
    /// <summary>
    /// Special module that does not distort the mesh at all.
    /// </summary>
    /// <preliminary/>
    public class NoDistorter : AbstractDistorter
    {
        /// <summary>
        /// Returns the input mesh.
        /// </summary>
        /// <param name="input">Undistorted mesh</param>
        /// <returns>The same mesh</returns>
        public override TriangleMesh Distort(TriangleMesh input)
        {
            return input;
        }
    }
}
