﻿using System;
using SlimDX;
using System.Reflection;
using System.IO;

namespace SlimDXRenderSystem.Managers
{
    public class ResourceManager : Core.Singleton<ResourceManager>
    {
        internal string GetFromResource(string resourceName)
        {
            Assembly asm = this.GetType().Assembly;
            using (Stream stream = asm.GetManifestResourceStream(resourceName))
            {
                using (var reader = new StreamReader(stream))
                {
                    return reader.ReadToEnd();
                }
            }
        }
    }
}
