﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using SlimDXRenderSystem.Managers;
using SlimDX.DirectInput;

namespace Zcu.Mve.ZMalik.SlimDXRenderer
{
    public partial class SettingsWindow : Form
    {
        public SettingsWindow()
        {
            InitializeComponent();
            DataTable dt = new DataTable();
            dt.Columns.Add("Action");
            dt.Columns.Add("Key");
            foreach (Key k in InputManager.Instance.KeyClickActions.Keys)
            {
                dt.Rows.Add(new string[] { InputManager.Instance.KeyClickActions[k].Method.Name, k.ToString() });
            }
            this.dataGridView1.DataSource = dt;
        }
    }
}
