﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml;

namespace Zcu.CurvatureBenchmark.Framework.DataSources
{
    /// <summary>
    /// Abstract IDataSource implementation with default SetConfig method.
    /// </summary>
    public abstract class AbstractDataSource : AbstractModule, IDataSource
    {
		/// <inheritdoc/>
        public virtual int DatasetCount { get; set; }

        /// <inheritdoc/>
        public abstract TriangleMesh[] GenerateData();
    }
}
