﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Zcu.CurvatureBenchmark.Framework.DataSources.Implicit
{
    /// <summary>
    /// Makes a triangularization of 3D data from IImplicitSampler
    /// </summary>
    public interface IImplicitTriangularizator : ITriangularizator
    {
        /// <summary>
        /// Computes triangulation from sampled points. 
        /// </summary>
        /// <param name="sampler">Sampler</param>
        void Triangulate(IImplicitSampler sampler);
    }
}
